## org.jCharts.test
Class PieTestDriver

    java.lang.Object
      org.jCharts.test.PieTestDriver

    abstract class PieTestDriver

extends Object

This file provides examples of how to create all the different chart types provided by this package.

Constructor Summary
`PieTestDriver()`

Method Summary
`private static PieChartDataSet` `getPieChartDataSet(int numToCreate, int minValue, int maxValue)` Generates a random NonAxisChartDataSet
`static void` `main(String[] args)`
`(package private) static void` `test()` Test for PieChart2D

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieTestDriver

    PieTestDriver()

Method Detail

### test

    static void test()
              throws ChartDataException,
                     PropertyException

  Test for PieChart2D

  Throws:
    `ChartDataException`
    `PropertyException`

### getPieChartDataSet

    private static PieChartDataSet getPieChartDataSet(int numToCreate,
                                                      int minValue,
                                                      int maxValue)
                                               throws ChartDataException

  Generates a random NonAxisChartDataSet

  Parameters:
    `numToCreate` - the number of doubles to generate
    `minValue` -
    `maxValue` -
  Returns:
    PieChartDataSet
  Throws:
    `ChartDataException`

### main

    public static void main(String[] args)
                     throws ChartDataException,
                            PropertyException

  Throws:
    `ChartDataException`
    `PropertyException`